<?php

namespace Nexus\Catalog\Model;

class CategoryPosition extends \Magento\Framework\Model\AbstractModel
{
    const CACHE_TAG = 'categoryposition';

    protected $_cacheTag = 'categoryposition';

    protected $_eventPrefix = 'categoryposition';
	
	protected $_authSession;

	protected $_allowedBuildings;

    protected function _construct()
    {
        $this->_init('Nexus\Catalog\Model\ResourceModel\CategoryPosition');
    }

    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    public function getDefaultValues()
    {
        $values = [];

        return $values;
    }
}
